https://bugzillapreview.wmflabs.org/ migration preview instance
Closed, ResolvedPublic

Description

Create a Phabricator instance containing a sample of Bugzilla reports automatically migrated using the migration script (T259).

This step is required to give everybody a chance to review how Bugzilla reports will be converted into Phabricator tasks, before proceeding with the actual migration. The plan is to leave at least one week for community feedback.

Points to compare: https://www.mediawiki.org/wiki/Phabricator/versus_Bugzilla#.C2.A0Bugzilla_data_migrated

https://bugzillapreview.wmflabs.org/ will be announced by @Qgil when

  • T702 is resolved
  • bugzillapreview content has been regenerated
  • the blockers of this task have been tested
  • @chasemp confirms here that bugzillapreview is ready to go

Related Objects

Qgil created this task.Oct 6 2014, 10:16 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to High.
Qgil assigned this task to chasemp.
Qgil added a project: Bugzilla-Migration.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil updated the task description. (Show Details)Oct 6 2014, 10:18 PM
luser renamed this task from Phabricator-Bugzilla migration test instance to https://bugzillapreview.wmflabs.org/ migration preview instance.Oct 7 2014, 8:35 PM
Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Oct 8 2014, 11:56 AM
Qgil added a subscriber: Aklapper.Oct 10 2014, 1:30 PM

In relation to T572: Determine the fate of comment metadata from legacy systems in phabricator.wikimedia.org, for this preview I think it would be enough to have @Aklapper and maybe a couple more prolific Bugzilla users registered, just to see how tasks would look before and after users claim their activity.

As we try to match expectations here with the migrated data in the production instance in the end:
By default we'd allow people to log into that "import preview" instance so we'd need another huge banner explaining that this is just to look, but don't touch. If we wanted to hackishly try to disable login: Not sure how easy that'd be.

Qgil added a comment.Oct 15 2014, 8:33 PM

The only use case for logging in would be to see how your own reports are assigned to you, right? I still wonder whether it wouldn't be enough demonstrating this feature with a couple of users only. Otherwise, maybe the site policy and the migration script could limit the possibility to create and edit tasks to admins and the import bot only?

However, if this complicates things...

You are suggesting a banner in the homepage as we have in phab-01, right? Sounds good. The URL of the site and the announcement should be clear enough communicating that this is not a real site but a preview.

we were thinking if we squash email (probably sane) then it really has to be done globally, and if we do that how do we verify emails for migration testing?

It all comes down to how many people to demonstrate which parts with/for I guess

Qgil added a comment.Oct 15 2014, 9:04 PM

"squash email"?

I still think the main purpose of the preview is to demonstrate how Bugzilla reports look after being converted into Phabricator tasks automatically. This could be done without opening registration.

A second goal is to show how tasks and comments look before and after being claimed, something that could be demonstrated wit Andre's account, since he has enough activity to choose from. We could add a handful of prolific and well known users, if needed. Still, we could avoid opening registration for everybody.

A this goal could be to test how fast is the script processing bugs, which could give us an idea of how long will the actual migration take, and how reliable is the script. This doesn't require opening registration either.

BUT I don't have a strong opinion, and if you want to test more aspects, this is welcome. I'm just trying to agree on the expectations for this preview so we don't end up doing more work than needed.

chasemp added a comment.EditedOct 15 2014, 9:47 PM

Sorry, slang is a bad habit in these cases. Squash as in prevent email from being sent from the labs host.

Qgil added a comment.Oct 16 2014, 2:24 PM

OK, then let's have indeed a preview with open registration and a banner in the homepage (the one with ASCII-art in phab-01 seems to be effective enough).

From the tasks that Bugzilla-Preview contains, I have just proposed the ones that would block the official and sound announcement of https://bugzillapreview.wmflabs.org/, and the beginning of the community review period. That announcement would contain a link to "Known issues" to be dealt with during the review.

What do you think?

Qgil added a subscriber: chasemp.Oct 21 2014, 6:20 PM

The blockers have been solved (I guess T572 can be closed now?). Thank you @chasemp!

We can announce bugzillapreview as soon as it is reloaded with the fixes and the new data.

Qgil updated the task description. (Show Details)Oct 22 2014, 12:26 AM

Status update: I'm trying to get it set up post-fixes, not sure I will have the disk space to do the later 10k issues. If not I'll deal w/ it tomorrow.

scfc added a subscriber: scfc.Oct 23 2014, 8:46 PM
Qgil added a comment.Oct 24 2014, 2:07 AM

https://bugzillapreview.wmflabs.org/ has been announced!

Resolving this task. Big Thank You to eveyone involved!

Let's continue at T843: Complete Bugzilla migration test review period

Qgil closed this task as Resolved.Oct 24 2014, 2:07 AM